Advertisement
Guest User

Untitled

a guest
Dec 22nd, 2021
35
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. 2021-12-22 18:13:46,402 INFO 201 [algoliasearch_django.registration] /edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/algoliasearch_django/registration.py:74 - REGISTER <class 'course_discovery.apps.course_metadata.algolia_models.AlgoliaProxyProduct'>
  2. 2021-12-22 18:13:52,760 INFO 219 [algoliasearch_django.registration] /edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/algoliasearch_django/registration.py:74 - REGISTER <class 'course_discovery.apps.course_metadata.algolia_models.AlgoliaProxyProduct'>
  3. 2021-12-22 18:13:53,543 INFO 219 [course_discovery.apps.core.management.commands.create_or_update_partner] /edx/app/discovery/discovery/course_discovery/apps/core/management/commands/create_or_update_partner.py:127 - Partner updated with code edx
  4. 2021-12-22 18:13:56,172 INFO 230 [algoliasearch_django.registration] /edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/algoliasearch_django/registration.py:74 - REGISTER <class 'course_discovery.apps.course_metadata.algolia_models.AlgoliaProxyProduct'>
  5. 2021-12-22 18:13:57,038 INFO 230 [course_discovery.apps.course_metadata.management.commands.refresh_course_metadata] /edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py:116 - Command is not using threads to write data.
  6. 2021-12-22 18:13:57,043 INFO 230 [course_discovery.apps.course_metadata.management.commands.refresh_course_metadata] /edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py:153 - Executing Loader [http://edx.devstack.lms:18000/api/courses/v1/]
  7. 2021-12-22 18:13:57,049 ERROR 230 [course_discovery.apps.course_metadata.management.commands.refresh_course_metadata] /edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py:28 - CoursesApiDataLoader failed!
  8. Traceback (most recent call last):
  9. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connection.py", line 160, in _new_conn
  10. (self._dns_host, self.port), self.timeout, **extra_kw
  11. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/util/connection.py", line 84, in create_connection
  12. raise err
  13. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/util/connection.py", line 74, in create_connection
  14. sock.connect(sa)
  15. ConnectionRefusedError: [Errno 111] Connection refused
  16.  
  17. During handling of the above exception, another exception occurred:
  18.  
  19. Traceback (most recent call last):
  20. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connectionpool.py", line 677, in urlopen
  21. chunked=chunked,
  22. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connectionpool.py", line 392, in _make_request
  23. conn.request(method, url, **httplib_request_kw)
  24. File "/usr/lib/python3.5/http/client.py", line 1151, in request
  25. self._send_request(method, url, body, headers)
  26. File "/usr/lib/python3.5/http/client.py", line 1196, in _send_request
  27. self.endheaders(body)
  28. File "/usr/lib/python3.5/http/client.py", line 1147, in endheaders
  29. self._send_output(message_body)
  30. File "/usr/lib/python3.5/http/client.py", line 950, in _send_output
  31. self.send(msg)
  32. File "/usr/lib/python3.5/http/client.py", line 893, in send
  33. self.connect()
  34. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connection.py", line 187, in connect
  35. conn = self._new_conn()
  36. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connection.py", line 172, in _new_conn
  37. self, "Failed to establish a new connection: %s" % e
  38. urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fdcc9391f60>: Failed to establish a new connection: [Errno 111] Connection refused
  39.  
  40. During handling of the above exception, another exception occurred:
  41.  
  42. Traceback (most recent call last):
  43. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/adapters.py", line 449, in send
  44. timeout=timeout
  45. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connectionpool.py", line 725, in urlopen
  46. method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  47. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/util/retry.py", line 439, in increment
  48. raise MaxRetryError(_pool, url, error or ResponseError(cause))
  49. urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='edx.devstack.lms', port=18000): Max retries exceeded with url: /oauth2/access_token (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fdcc9391f60>: Failed to establish a new connection: [Errno 111] Connection refused',))
  50.  
  51. During handling of the above exception, another exception occurred:
  52.  
  53. Traceback (most recent call last):
  54. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py", line 25, in execute_loader
  55. loader_class(*loader_args).ingest()
  56. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/data_loaders/__init__.py", line 31, in __init__
  57. self.username = self.get_username_from_client(self.api_client)
  58. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/data_loaders/__init__.py", line 41, in get_username_from_client
  59. token = client.get_jwt_access_token()
  60. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 270, in get_jwt_access_token
  61. self._ensure_authentication()
  62. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 254, in _ensure_authentication
  63. timeout=self._timeout,
  64. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 170, in get_and_cache_oauth_access_token
  65. timeout=timeout,
  66. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 112, in get_oauth_access_token
  67. timeout=timeout
  68. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/api.py", line 119, in post
  69. return request('post', url, data=data, json=json, **kwargs)
  70. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/api.py", line 61, in request
  71. return session.request(method=method, url=url, **kwargs)
  72. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/sessions.py", line 530, in request
  73. resp = self.send(prep, **send_kwargs)
  74. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/sessions.py", line 643, in send
  75. r = adapter.send(request, **kwargs)
  76. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/adapters.py", line 516, in send
  77. raise ConnectionError(e, request=request)
  78. requests.exceptions.ConnectionError: HTTPConnectionPool(host='edx.devstack.lms', port=18000): Max retries exceeded with url: /oauth2/access_token (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fdcc9391f60>: Failed to establish a new connection: [Errno 111] Connection refused',))
  79. 2021-12-22 18:13:57,057 INFO 230 [course_discovery.apps.course_metadata.management.commands.refresh_course_metadata] /edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py:153 - Executing Loader [http://edx.devstack.ecommerce:18130/api/v2/]
  80. 2021-12-22 18:13:57,060 ERROR 230 [course_discovery.apps.course_metadata.management.commands.refresh_course_metadata] /edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py:28 - EcommerceApiDataLoader failed!
  81. Traceback (most recent call last):
  82. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connection.py", line 160, in _new_conn
  83. (self._dns_host, self.port), self.timeout, **extra_kw
  84. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/util/connection.py", line 84, in create_connection
  85. raise err
  86. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/util/connection.py", line 74, in create_connection
  87. sock.connect(sa)
  88. ConnectionRefusedError: [Errno 111] Connection refused
  89.  
  90. During handling of the above exception, another exception occurred:
  91.  
  92. Traceback (most recent call last):
  93. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connectionpool.py", line 677, in urlopen
  94. chunked=chunked,
  95. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connectionpool.py", line 392, in _make_request
  96. conn.request(method, url, **httplib_request_kw)
  97. File "/usr/lib/python3.5/http/client.py", line 1151, in request
  98. self._send_request(method, url, body, headers)
  99. File "/usr/lib/python3.5/http/client.py", line 1196, in _send_request
  100. self.endheaders(body)
  101. File "/usr/lib/python3.5/http/client.py", line 1147, in endheaders
  102. self._send_output(message_body)
  103. File "/usr/lib/python3.5/http/client.py", line 950, in _send_output
  104. self.send(msg)
  105. File "/usr/lib/python3.5/http/client.py", line 893, in send
  106. self.connect()
  107. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connection.py", line 187, in connect
  108. conn = self._new_conn()
  109. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connection.py", line 172, in _new_conn
  110. self, "Failed to establish a new connection: %s" % e
  111. urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fdcc93ac048>: Failed to establish a new connection: [Errno 111] Connection refused
  112.  
  113. During handling of the above exception, another exception occurred:
  114.  
  115. Traceback (most recent call last):
  116. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/adapters.py", line 449, in send
  117. timeout=timeout
  118. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/connectionpool.py", line 725, in urlopen
  119. method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  120. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/urllib3/util/retry.py", line 439, in increment
  121. raise MaxRetryError(_pool, url, error or ResponseError(cause))
  122. urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='edx.devstack.lms', port=18000): Max retries exceeded with url: /oauth2/access_token (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fdcc93ac048>: Failed to establish a new connection: [Errno 111] Connection refused',))
  123.  
  124. During handling of the above exception, another exception occurred:
  125.  
  126. Traceback (most recent call last):
  127. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/management/commands/refresh_course_metadata.py", line 25, in execute_loader
  128. loader_class(*loader_args).ingest()
  129. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/data_loaders/api.py", line 295, in __init__
  130. super(EcommerceApiDataLoader, self).__init__(partner, api_url, max_workers, is_threadsafe, **kwargs)
  131. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/data_loaders/__init__.py", line 31, in __init__
  132. self.username = self.get_username_from_client(self.api_client)
  133. File "/edx/app/discovery/discovery/course_discovery/apps/course_metadata/data_loaders/__init__.py", line 41, in get_username_from_client
  134. token = client.get_jwt_access_token()
  135. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 270, in get_jwt_access_token
  136. self._ensure_authentication()
  137. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 254, in _ensure_authentication
  138. timeout=self._timeout,
  139. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 170, in get_and_cache_oauth_access_token
  140. timeout=timeout,
  141. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/edx_rest_api_client/client.py", line 112, in get_oauth_access_token
  142. timeout=timeout
  143. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/api.py", line 119, in post
  144. return request('post', url, data=data, json=json, **kwargs)
  145. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/api.py", line 61, in request
  146. return session.request(method=method, url=url, **kwargs)
  147. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/sessions.py", line 530, in request
  148. resp = self.send(prep, **send_kwargs)
  149. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/sessions.py", line 643, in send
  150. r = adapter.send(request, **kwargs)
  151. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/requests/adapters.py", line 516, in send
  152. raise ConnectionError(e, request=request)
  153. requests.exceptions.ConnectionError: HTTPConnectionPool(host='edx.devstack.lms', port=18000): Max retries exceeded with url: /oauth2/access_token (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fdcc93ac048>: Failed to establish a new connection: [Errno 111] Connection refused',))
  154. CommandError: One or more of the data loaders above failed.
  155. 2021-12-22 18:13:59,822 INFO 242 [algoliasearch_django.registration] /edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/algoliasearch_django/registration.py:74 - REGISTER <class 'course_discovery.apps.course_metadata.algolia_models.AlgoliaProxyProduct'>
  156. 2021-12-22 18:14:00,983 INFO 242 [course_discovery.apps.core.utils] /edx/app/discovery/discovery/course_discovery/apps/core/utils.py:53 - ...index [catalog_20211222_181400] created.
  157. Indexing 0 People
  158. Indexing 0 courses
  159. Indexing 0 course runs
  160. Indexing 1 programs
  161. -e Adding demo program to Discovery...
  162. 2021-12-22 18:14:04,005 INFO 253 [algoliasearch_django.registration] /edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/algoliasearch_django/registration.py:74 - REGISTER <class 'course_discovery.apps.course_metadata.algolia_models.AlgoliaProxyProduct'>
  163. Traceback (most recent call last):
  164. File "/edx/app/discovery/discovery/manage.py", line 15, in <module>
  165. execute_from_command_line(sys.argv)
  166. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
  167. utility.execute()
  168. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/core/management/__init__.py", line 375, in execute
  169. self.fetch_command(subcommand).run_from_argv(self.argv)
  170. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/core/management/base.py", line 323, in run_from_argv
  171. self.execute(*args, **cmd_options)
  172. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/core/management/base.py", line 364, in execute
  173. output = self.handle(*args, **options)
  174. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/core/management/commands/shell.py", line 86, in handle
  175. exec(options['command'])
  176. File "<string>", line 42, in <module>
  177. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/db/models/manager.py", line 82, in manager_method
  178. return getattr(self.get_queryset(), name)(*args, **kwargs)
  179. File "/edx/app/discovery/venvs/discovery/lib/python3.5/site-packages/django/db/models/query.py", line 408, in get
  180. self.model._meta.object_name
  181. course_discovery.apps.course_metadata.models.DoesNotExist: Course matching query does not exist.
Advertisement
Advertisement
Advertisement
RAW Paste Data Copied
Advertisement